Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | [Expand All]
public interface

# OnTurnBasedMatchLeftListener

com.google.android.gms.games.multiplayer.turnbased.OnTurnBasedMatchLeftListener

Known Indirect Subclasses
TurnBasedMultiplayerListener

TurnBasedMultiplayerListener | This interface is deprecated. See `TurnBasedMultiplayer.CancelMatchResult`, `TurnBasedMultiplayer.InitiateMatchResult`, `TurnBasedMultiplayer.LeaveMatchResult`, `TurnBasedMultiplayer.LoadMatchesResult`, `TurnBasedMultiplayer.UpdateMatchResult`, `OnInvitationReceivedListener`, and `OnTurnBasedMatchUpdateReceivedListener`.

This interface is deprecated.
See `TurnBasedMultiplayer.LeaveMatchResult`.

## Class Overview

Listener for receiving callbacks when a player leaves a turn-based match.

## Summary

Public Methods
abstract void | onTurnBasedMatchLeft(int statusCode, TurnBasedMatch match) Called when the player has left the match.

## Public Methods

#### public abstract void onTurnBasedMatchLeft (int statusCode, TurnBasedMatch match)

Called when the player has left the match. Possible status codes include:

- `STATUS_OK` if the player successfully left the match.
- `STATUS_NETWORK_ERROR_OPERATION_DEFERRED` if the attempt to leave the match resulted in a network error. The operation was stored locally, and will be retried the next time the device comes online. No further action is required.
- `STATUS_MATCH_ERROR_LOCALLY_MODIFIED` if the match has already been modified locally and has changes waiting to be synced to the server. The leave operation was not executed.
- `STATUS_MATCH_ERROR_INACTIVE_MATCH` if the match has already transitioned into an inactive state on the server.
- `STATUS_MATCH_ERROR_OUT_OF_DATE_VERSION` if the local match state was out of date. In this case, the updated match will be returned.
- `STATUS_MULTIPLAYER_ERROR_INVALID_OPERATION` if the server rejected the operation.
- `STATUS_MULTIPLAYER_DISABLED` if the game does not support multiplayer.
- `STATUS_CLIENT_RECONNECT_REQUIRED` if the `GamesClient` needs to reconnect to the service to perform this operation.
- `STATUS_INTERNAL_ERROR` if an unexpected error occurred in the service.

##### Parameters

statusCode | A status code indicating the result of the operation.
match | The updated `TurnBasedMatch` object. Note that this may be null, depending on the status code returned.